List agents
curl --request GET \
--url https://api.omnia-voice.com/api/v1/agents \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/agents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "ACTIVE",
"type": "standard",
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"standardConfig": {
"languageId": "<string>",
"voiceId": "<string>",
"basePrompt": "<string>",
"greeting": "<string>",
"context": "<string>",
"questions": "<string>",
"customInstructions": "<string>",
"recordingEnabled": true,
"temperature": 0,
"maxDuration": 3000,
"firstSpeaker": "agent",
"interruptible": false,
"inactivityTimeout": 155,
"inactivityAction": "hang_up",
"model": "llama",
"language": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"isActive": true
},
"voice": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"previewUrl": "<string>",
"languageCode": "<string>",
"gender": "<string>",
"isActive": true,
"language": {
"code": "<string>",
"name": "<string>"
}
}
},
"actions": [
{}
],
"knowledgeBases": [
{}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}Agents
List agents
Retrieve a list of all agents for the authenticated user
GET
/
agents
List agents
curl --request GET \
--url https://api.omnia-voice.com/api/v1/agents \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/agents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "ACTIVE",
"type": "standard",
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"standardConfig": {
"languageId": "<string>",
"voiceId": "<string>",
"basePrompt": "<string>",
"greeting": "<string>",
"context": "<string>",
"questions": "<string>",
"customInstructions": "<string>",
"recordingEnabled": true,
"temperature": 0,
"maxDuration": 3000,
"firstSpeaker": "agent",
"interruptible": false,
"inactivityTimeout": 155,
"inactivityAction": "hang_up",
"model": "llama",
"language": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"isActive": true
},
"voice": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"previewUrl": "<string>",
"languageCode": "<string>",
"gender": "<string>",
"isActive": true,
"language": {
"code": "<string>",
"name": "<string>"
}
}
},
"actions": [
{}
],
"knowledgeBases": [
{}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}Authorizations
API key for authentication
Query Parameters
Page number
Items per page
Required range:
x <= 100Filter by status
Available options:
ACTIVE, INACTIVE, SUSPENDED Case-insensitive match against agent name and description
⌘I